#!/usr/bin/env python2
# -*- coding: utf-8 -*-

import time
import numpy as np

#ros 
import rospy
#ros messages
from rosgraph_msgs.msg import Clock

if __name__ == '__main__':
    
    #init ros node
    rospy.init_node('uir_clock')
    
    time_publisher = rospy.Publisher("/clock", Clock, queue_size=1)

    while not rospy.is_shutdown():
        msg = Clock()
        tt = time.time() 
        secs = np.floor(tt) 
        nsecs = (tt - secs)*10e6
        msg.clock.secs = secs
        msg.clock.nsecs = nsecs
        time_publisher.publish(msg)
        time.sleep(.01)
