#!/bin/bash

echo "This script automatically creates ROS workspace for RDS"

pip install rospkg
pip install netifaces

echo "source /opt/ros/kinetic/setup.bash" >> ~/.bashrc
source /opt/ros/kinetic/setup.bash

# create ros workspace
cd ~/
mkdir rds_ws
mkdir rds_ws/src
cd rds_ws
catkin_make

# source the workspace
cd devel
devel_path=$(pwd)
echo "source $devel_path/setup.bash" >> ~/.bashrc
source setup.bash

